Safe Haskell | None
Language | Haskell2010

QuasiExpr

# Documentation

data Expr #

Constructors

IntExpr Integer |
AntiIntExpr String |
BinopExpr BinOp Expr Expr |
AntiExpr String |

#### Instances

Instances details

Show Expr # |
Instance details Defined in QuasiExpr Methods showsPrec :: Int -> Expr -> ShowS # show :: Expr -> String # showList :: [Expr] -> ShowS #

data BinOp #

Constructors

AddOp |
SubOp |
MulOp |
DivOp |

#### Instances

Instances details

Show BinOp # |
Instance details Defined in QuasiExpr Methods showsPrec :: Int -> BinOp -> ShowS # show :: BinOp -> String # showList :: [BinOp] -> ShowS #

eval :: Expr -> Integer #

expr :: QuasiQuoter #

parseExprExp :: String -> Q Exp #